Subject: The card ending in 2663 has been linked to your account
From: Cash App <[email-masked]>
To: [email-masked]
Date: Mon, 16 Feb 2026 19:26:24 +0000

The card ending in 2663 has been linked to your Cash account.

Not you? Turn on security lock and contact customer support.